#!/usr/bin/env perl

use strict;
use warnings;

my ($shadowdir, @keepdirs) = @ARGV;

mkdir($shadowdir);

# system(qq#rm -f "$shadowdir"/* "$shadowdir"/.*#);

for my $k(@keepdirs) {
  unlink("$shadowdir/$k");
  mkdir("$shadowdir/$k");
}

system(qq#ln -rs .* * "$shadowdir"#);


